Qt Reference Documentation

# CurrencyToStringArgument Class Reference

(QSystemLocale::CurrencyToStringArgument)

     #include <QSystemLocale>

This class was introduced in Qt 4.8.

- List of all members, including inherited members

## Public Variables

QString | symbol
QVariant | value

## Detailed Description

A helper class that provides arguments for the QSystemLocale::query() function with query type QSystemLocale::CurrencyToString.

See also QSystemLocale::QueryType.

## Member Variable Documentation

### QString CurrencyToStringArgument::symbol

An optional argument containing a currency symbol to be used in the currency string.

### QVariant CurrencyToStringArgument::value

An input value that should be converted to its string representation. Contains one of QVariant::LongLong, QVariant::ULongLong or QVariant::Double types.